## Apache Zeta Components Manual :: Docs For Class ezcSearchDefinitionProvider

### Search::ezcSearchDefinitionProvider

### Interface ezcSearchDefinitionProvider

Defines the interface for all classes that can provide a definition through the ezcSearchEmbeddedManager.

Source for this file: /Search/src/interfaces/definition_provider.php

Version: | //autogen//

### Method Summary

public static ezcSearchDocumentDefinition | `getDefinition( )` Returns the definition for the document.

### Methods

#### getDefinition

static ezcSearchDocumentDefinition getDefinition( )

Returns the definition for the document.

##### Exceptions:

Type | Description
--- | ---
`ezcSearchDefinitionNotFoundException` | if no such definition can be found.

Documentation generated by phpDocumentor 1.4.3